Contents

Add Project

Adds new project.

Role

Administrator

Method

POST

URL

/api/v2/projects

Form parameters

Content-Type:application/x-www-form-urlencoded
Parameter NameTypeDescription
name (Required)StringProject Name
key (Required)StringProject Key (Uppercase letters (A-Z), numbers (0-9) and underscore (_) can be used.)
chartEnabledBooleanEnable chart
useResolvedForChartBooleanConsider Resolved and statuses after as Closed
subtaskingEnabledBooleanEnable subtasking
grandchildIssueEnabledBooleanEnable 3rd level subtasks.
Note: Available after the grandchild issue feature release. Only effective when subtaskingEnabled is true.
projectLeaderCanEditProjectLeaderBooleanAllow project administrators to manage each other
useWikiBooleanEnable Wiki
useDocumentBooleanEnable Document
useFileSharingBooleanEnable shared files
useWikiTreeViewBooleanEnable Wiki tree view
useSubversionBooleanEnable Subversion
useGitBooleanEnable Git
useOriginalImageSizeAtWikiBooleanDisplay images in Wikis in their original size
textFormattingRuleStringFormatting rules “backlog” or “markdown”
useDevAttributesBooleanEnable priorities, versions and milestones

Response example

Status Line / Response Header

HTTP/1.1 201 CREATED
Content-Type:application/json;charset=utf-8
Location:https://xx.backlogtool.com/projects/BLG

Response Body

Note: grandchildIssueEnabled will be included in the response after the grandchild issue feature release.

{
    "id": 1,
    "projectKey": "TEST",
    "name": "test",
    "chartEnabled": false,
    "useResolvedForChart": false,
    "subtaskingEnabled": false,
    "grandchildIssueEnabled": false,
    "projectLeaderCanEditProjectLeader": false,
    "useWiki": true,
    "useDocument": true,
    "useFileSharing": true,
    "useWikiTreeView": true,
    "useOriginalImageSizeAtWiki": false,
    "useSubversion": true,
    "useGit": true,
    "textFormattingRule": "markdown",
    "archived":false,
    "displayOrder": 2147483646,
    "useDevAttributes": true
}